Classifications
Get Classification (v1)
Retrieve a single classification dimension by ID.
GET
/
public
/
v1
/
classifications
/
{classification_id}
/
Get Classification
curl --request GET \
--url https://api.dualentry.com/public/v1/classifications/{classification_id}/ \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.dualentry.com/public/v1/classifications/{classification_id}/"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.dualentry.com/public/v1/classifications/{classification_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"selections": [
{
"id": 123,
"name": "<string>",
"is_active": true,
"parent_id": 123,
"parent_name": "<string>"
}
],
"required_for_records": [
"purchase_order"
],
"parent_id": 123,
"parent_name": "<string>",
"name": "<string>",
"created_by": {
"actor_type": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"updated_by": {
"actor_type": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"is_active": true
}Authorizations
Path Parameters
Response
200 - application/json
OK
Show child attributes
Show child attributes
Available options:
purchase_order, sales_order, cash_sale, invoice, bill, direct_expense, vendor_credit, journal_entry, intercompany_journal_entry, customer_credit, customer_deposit, statistical_journal Maximum string length:
128Schema for audit actor information.
Show child attributes
Show child attributes
Schema for audit actor information.
Show child attributes
Show child attributes
Last modified on August 21, 2026
Was this page helpful?
⌘I
Get Classification

